Name: alsa-utils
Version: 1.0.13
Release: alt1

%define beta %nil
%define ver %{version}%beta

Summary: Advanced Linux Sound Architecture (ALSA) utils
License: GPL
Group: System/Kernel and hardware

Url: http://www.alsa-project.org
Source0: ftp://ftp.alsa-project.org/pub/utils/%name-%ver.tar.bz2
Source1: set_default_volume
Patch0:  alsa-utils-1.0.8-alt-no-newt.patch

Obsoletes: alsa2-utils < 0.9.4
Provides: alsa2-utils = %version
Conflicts: alsa-utils < 1.0.9a-alt1

Requires: libalsa = %version
#Requires: libalsa >= 1.0.9
Requires: dialog
Requires: aplay = %version-%release

# Automatically added by buildreq on Wed Jan 28 2004
BuildRequires: hostinfo libalsa-devel libncurses-devel libtinfo-devel

#BuildRequires: libalsa-devel >= %version
BuildRequires: libalsa-devel >= 1.0.9

Summary(ru_RU.KOI8-R):  ALSA
Summary(uk_UA.KOI8-U): ̦ ALSA

%description
Advanced Linux Sound Architecture (ALSA) utils. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

%description -l ru_RU.KOI8-R
   ALSA (   Linux),
  .

%description -l uk_UA.KOI8-U
 ͦ ̦ ALSA (ϧ ϧ Ц Linux),
˦  ͦ.

%package -n aplay
Summary: play utility for ALSA
Summary(ru_RU.KOI8-R):  play  ALSA
Summary(uk_UA.KOI8-U): ̦ play  ALSA
License: GPL
Group: Sound

%description -n aplay
This package contains minimal client utility for ALSA:
"aplay" is traditional "play" equivalent.

%description -n aplay -l ru_RU.KOI8-R
     ALSA:
"aplay" -   "play".

%description -n aplay -l uk_UA.KOI8-U
  ͦ ͦΦ ̦ ALSA:
"aplay" - צ æ "play".

%prep
%setup -q -n %name-%ver
%patch0 -p1

%build
%configure
%make_build

%install
%makeinstall
install -pD -m755 %SOURCE1 %buildroot%_bindir/set_default_volume

%find_lang --output=%name.lang %name alsaconf

%files -f %name.lang
%_bindir/*
%exclude %_bindir/aplay
%_sbindir/*
%_mandir/man?/*
%_datadir/alsa/speaker-test/
%_datadir/sounds/alsa/
%doc ChangeLog README

%files -n aplay
%_bindir/aplay

%changelog
* Mon Oct 16 2006 Michael Shigorin <mike@altlinux.org> 1.0.13-alt1
- 1.0.13

* Sat Sep 02 2006 Michael Shigorin <mike@altlinux.org> 1.0.12-alt1
- 1.0.12

* Wed Apr 19 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt1
- 1.0.11

* Wed Apr 05 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt0.4
- 1.0.11rc4
- packaged translations

* Sat Mar 04 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt0.2
- 1.0.11rc2 (due to strict libalsa version requirement and #9181)

* Fri Feb 17 2006 Michael Shigorin <mike@altlinux.org> 1.0.10-alt2
- more strict libalsa requires (should fix #9028)

* Wed Nov 16 2005 Michael Shigorin <mike@altlinux.org> 1.0.10-alt1
- 1.0.10

* Mon Jul 04 2005 Michael Shigorin <mike@altlinux.org> 1.0.9a-alt2
- added Conflicts: for previous versions due to aplay split
  (#7279); thanks Andrey Rahmatullin (wrar@)

* Thu Jun 23 2005 Michael Shigorin <mike@altlinux.org> 1.0.9a-alt1
- 1.0.9a
- temporarily fixated libalsa requires (build/install) at 1.0.9
  since usual condition (>=%%version) would fail
- moved aplay to separate subpackage (#7156),
  required by main package
- added test sounds (were missing somehow)

* Thu Jun 09 2005 Michael Shigorin <mike@altlinux.ru> 1.0.9a-alt0
- 1.0.9a

* Mon Jan 17 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.8-alt1.1
- Rebuilt with ncurses-5.4.20050108-alt2

* Thu Jan 13 2005 Michael Shigorin <mike@altlinux.ru> 1.0.8-alt1
- 1.0.8
- updated alt-no-newt patch

* Thu Dec 16 2004 Michael Shigorin <mike@altlinux.ru> 1.0.7-alt1
- 1.0.7

* Sat Jul 03 2004 Michael Shigorin <mike@altlinux.ru> 1.0.5-alt3
- *applied* the patch for #3824 from wrar@, whoops!

* Sat Jun 26 2004 Michael Shigorin <mike@altlinux.ru> 1.0.5-alt2
- fixed #3824, thanks to Andrey Rahmatullin (wrar@) for bug/patch
- added ru/uk package info

* Mon May 31 2004 Michael Shigorin <mike@altlinux.ru> 1.0.5-alt1
- 1.0.5

* Thu Apr 08 2004 Michael Shigorin <mike@altlinux.ru> 1.0.4-alt2
- removed forbidden requires: alsa

* Sat Apr 03 2004 Michael Shigorin <mike@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Tue Mar 02 2004 Michael Shigorin <mike@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Thu Jan 29 2004 Michael Shigorin <mike@altlinux.ru> 1.0.2-alt2
- 1.0.2, Final Upload by ALSA Project (TM) 20040129 18:35 +0200
- thanks to Sergey Vlasov (vsu@) for alerting about re-uploads

* Wed Jan 28 2004 Michael Shigorin <mike@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Thu Jan 15 2004 Michael Shigorin <mike@altlinux.ru> 1.0.1-alt1
- 1.0.1
- added %_bindir/set_default_volume from SuSE package

* Wed Oct 22 2003 Michael Shigorin <mike@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Fri Sep 26 2003 Michael Shigorin <mike@altlinux.ru> 0.9.7-alt1
- 0.9.7

* Wed Jul 30 2003 Michael Shigorin <mike@altlinux.ru> 0.9.6-alt1
- 0.9.6
- relaxed alsa (kernel module) dependency -- any alsa2 should suffice
  and userspace upgrade shouldn't force kernel module upgrade

* Tue Jul 15 2003 Michael Shigorin <mike@altlinux.ru> 0.9.5-alt1
- 0.9.5

* Mon Jun 23 2003 Michael Shigorin <mike@altlinux.ru> 0.9.4-alt1
- 0.9.4
- renamed to alsa-utils

* Wed Apr 02 2003 Michael Shigorin <mike@altlinux.ru> 0.9.2-alt0.1
- 0.9.2 (unofficial build)

* Tue Feb 04 2003 Rider <rider@altlinux.ru> 0.9.0rc7-alt1
- 0.9.0rc7

* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc6-alt1
- 0.9.0rc6
- Rebuilt in new environment

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt1
- 0.9.0rc1

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta12-alt1
- 0.9.0beta12

* Wed Dec 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta10-alt1a
- 0.9.0beta10a

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta9-alt1
- 0.9.0beta9

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta8-alt1
- 0.9.0beta8

* Fri Sep 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta7-alt1
- First build for Sisyphus
